local s = require("luasnip.nodes.snippet").S
local i = require("luasnip.nodes.insertNode").I
local fmt = require("luasnip.extras.fmt").fmt

return {
    s({ trig = 'source',
        name = 'source code block',
        dscr = 'insert a source code block'
    },
        fmt([[
[source,{language}]
--------------------------------------------------------------------------------
{cursor}
--------------------------------------------------------------------------------
]]       , {
            language = i(1, 'shell'),
            cursor = i(0)
        })),
    s({ trig = 'quote',
        name = 'quote block',
        descr = 'insert a quote block'
    },
        fmt([[
[quote,{author},{place}]
________________________________________________________________________________
{cursor}
________________________________________________________________________________
]]       , {
            author = i(1),
            place = i(2),
            cursor = i(0)
        }))
}
